# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.240+1.1069.259.49 -> 1.1069.1.241
#	            Makefile	1.190.7.16 -> 1.193.1.55
#	drivers/scsi/sym53c8xx.c	1.14.1.3 -> 1.16.1.1
#
diff -Nru a/Makefile b/Makefile
--- a/Makefile	Mon Mar 22 14:07:49 2004
+++ b/Makefile	Mon Mar 22 14:07:49 2004
@@ -93,6 +93,7 @@
 
 CFLAGS := $(CPPFLAGS) -Wall -Wstrict-prototypes -Wno-trigraphs -O2 \
 	  -fno-strict-aliasing -fno-common
+CFLAGS += -g
 ifndef CONFIG_FRAME_POINTER
 CFLAGS += -fomit-frame-pointer
 endif
@@ -307,8 +308,7 @@
 	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in
 
 xconfig: symlinks
-	$(MAKE) -C scripts kconfig.tk
-	wish -f scripts/kconfig.tk
+	@echo -e "***\n* Sorry, xconfig is broken; use \"make menuconfig\" instead.\n***"
 
 menuconfig: include/linux/version.h symlinks
 	$(MAKE) -C scripts/lxdialog all
diff -Nru a/drivers/scsi/sym53c8xx.c b/drivers/scsi/sym53c8xx.c
--- a/drivers/scsi/sym53c8xx.c	Mon Mar 22 14:07:49 2004
+++ b/drivers/scsi/sym53c8xx.c	Mon Mar 22 14:07:49 2004
@@ -12979,6 +12979,7 @@
 		}
 		if (pci_enable_device(pcidev)) /* @!*!$&*!%-*#;! */
 			continue;
+#ifdef CONFIG_X86
 		/* Some HW as the HP LH4 may report twice PCI devices */
 		for (i = 0; i < count ; i++) {
 			if (devtbl[i].slot.bus	     == PciBusNumber(pcidev) && 
@@ -12987,6 +12988,7 @@
 		}
 		if (i != count)	/* Ignore this device if we already have it */
 			continue;
+#endif
 		devp = &devtbl[count];
 		devp->host_id = driver_setup.host_id;
 		devp->attach_done = 0;
